---
title: x-ms-format-detection
slug: Web/HTML/Global_attributes/x-ms-format-detection
tags:
  - Attribute
  - HTML
  - 'HTML:Microsoft Extensions'
  - Non-standard
  - Reference
  - x-ms-format-detection
---
<div>{{HTMLSidebar("Global_attributes")}}{{Non-standard_Header}}</div>

<p>The <code><a href="https://docs.microsoft.com/en-us/previous-versions/dn337007(v%3Dvs.85)">x-ms-format-detection</a></code> attribute determines whether data formats within the element’s text, like phone numbers, are automatically converted to followable links.</p>

<p>Existing links, such as ones with the <code>tel:</code> scheme, are unaffected.</p>

<div class="notecard note">
<p>Links created through format detection do not appear in the DOM.</p>
</div>

<p>{{Non-standard_inline}} This proprietary property is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: html notranslate">&lt;html x-ms-format-detection="none"&gt;
</pre>

<h2 id="Value">Value</h2>

<dl>
 <dt><code>all</code></dt>
 <dd>All supported data formats are detected.</dd>
 <dt><code>none</code></dt>
 <dd>Format detection is turned off.</dd>
 <dt><code>phone</code></dt>
 <dd>Phone number patterns are autolinked.</dd>
</dl>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions</a></li>
 <li><a href="https://developer.apple.com/library/archive/documentation/AppleApplications/Reference/SafariHTMLRef/Articles/MetaTags.html">Safari Supported Meta Tags</a></li>
</ul>
